import { ExtractPropTypes, ImgHTMLAttributes, Plugin } from 'vue';
import { imageProps } from '../vc-image/src/Image';
import PreviewGroup from './PreviewGroup';
export declare type ImageProps = Partial<ExtractPropTypes<typeof imageProps> & Omit<ImgHTMLAttributes, 'placeholder' | 'onClick'>>;
export { imageProps };
export { PreviewGroup as ImagePreviewGroup };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            class: any;
            inlist: any;
        }> & Omit<Readonly<{
            class: any;
            inlist: any;
        } & {
            style?: string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | any)[])[])[])[])[])[])[])[])[])[])[];
            preview?: boolean | {
                visible: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                onVisibleChange: any;
                getContainer: (import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                }) | (import("vue-types").VueTypeValidableDef<boolean> & {
                    default: boolean;
                }) | (() => import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                }) | (() => import("vue-types").VueTypeValidableDef<boolean> & {
                    default: boolean;
                });
            };
            prefixCls?: string;
            title?: string;
            onCopy?: (payload: ClipboardEvent) => void;
            onCut?: (payload: ClipboardEvent) => void;
            onPaste?: (payload: ClipboardEvent) => void;
            onCompositionend?: (payload: CompositionEvent) => void;
            onCompositionstart?: (payload: CompositionEvent) => void;
            onCompositionupdate?: (payload: CompositionEvent) => void;
            onDrag?: (payload: DragEvent) => void;
            onDragend?: (payload: DragEvent) => void;
            onDragenter?: (payload: DragEvent) => void;
            onDragexit?: (payload: DragEvent) => void;
            onDragleave?: (payload: DragEvent) => void;
            onDragover?: (payload: DragEvent) => void;
            onDragstart?: (payload: DragEvent) => void;
            onDrop?: (payload: DragEvent) => void;
            onFocus?: (payload: FocusEvent) => void;
            onFocusin?: (payload: FocusEvent) => void;
            onFocusout?: (payload: FocusEvent) => void;
            onBlur?: (payload: FocusEvent) => void;
            onChange?: (payload: Event) => void;
            onBeforeinput?: (payload: Event) => void;
            onInput?: (payload: Event) => void;
            onReset?: (payload: Event) => void;
            onSubmit?: (payload: Event) => void;
            onInvalid?: (payload: Event) => void;
            onLoad?: (payload: Event) => void;
            onError?: (payload: Event) => void;
            onKeydown?: (payload: KeyboardEvent) => void;
            onKeypress?: (payload: KeyboardEvent) => void;
            onKeyup?: (payload: KeyboardEvent) => void;
            onAuxclick?: (payload: MouseEvent) => void;
            onContextmenu?: (payload: MouseEvent) => void;
            onDblclick?: (payload: MouseEvent) => void;
            onMousedown?: (payload: MouseEvent) => void;
            onMouseenter?: (payload: MouseEvent) => void;
            onMouseleave?: (payload: MouseEvent) => void;
            onMousemove?: (payload: MouseEvent) => void;
            onMouseout?: (payload: MouseEvent) => void;
            onMouseover?: (payload: MouseEvent) => void;
            onMouseup?: (payload: MouseEvent) => void;
            onAbort?: (payload: Event) => void;
            onCanplay?: (payload: Event) => void;
            onCanplaythrough?: (payload: Event) => void;
            onDurationchange?: (payload: Event) => void;
            onEmptied?: (payload: Event) => void;
            onEncrypted?: (payload: Event) => void;
            onEnded?: (payload: Event) => void;
            onLoadeddata?: (payload: Event) => void;
            onLoadedmetadata?: (payload: Event) => void;
            onLoadstart?: (payload: Event) => void;
            onPause?: (payload: Event) => void;
            onPlay?: (payload: Event) => void;
            onPlaying?: (payload: Event) => void;
            onProgress?: (payload: Event) => void;
            onRatechange?: (payload: Event) => void;
            onSeeked?: (payload: Event) => void;
            onSeeking?: (payload: Event) => void;
            onStalled?: (payload: Event) => void;
            onSuspend?: (payload: Event) => void;
            onTimeupdate?: (payload: Event) => void;
            onVolumechange?: (payload: Event) => void;
            onWaiting?: (payload: Event) => void;
            onSelect?: (payload: Event) => void;
            onScroll?: (payload: UIEvent) => void;
            onTouchcancel?: (payload: TouchEvent) => void;
            onTouchend?: (payload: TouchEvent) => void;
            onTouchmove?: (payload: TouchEvent) => void;
            onTouchstart?: (payload: TouchEvent) => void;
            onPointerdown?: (payload: PointerEvent) => void;
            onPointermove?: (payload: PointerEvent) => void;
            onPointerup?: (payload: PointerEvent) => void;
            onPointercancel?: (payload: PointerEvent) => void;
            onPointerenter?: (payload: PointerEvent) => void;
            onPointerleave?: (payload: PointerEvent) => void;
            onPointerover?: (payload: PointerEvent) => void;
            onPointerout?: (payload: PointerEvent) => void;
            onWheel?: (payload: WheelEvent) => void;
            onAnimationstart?: (payload: AnimationEvent) => void;
            onAnimationend?: (payload: AnimationEvent) => void;
            onAnimationiteration?: (payload: AnimationEvent) => void;
            onTransitionend?: (payload: TransitionEvent) => void;
            onTransitionstart?: (payload: TransitionEvent) => void;
            role?: string;
            tabindex?: string | number;
            hidden?: boolean | "false" | "true";
            color?: string;
            width?: string | number;
            height?: string | number;
            contextmenu?: string;
            id?: string;
            "aria-hidden"?: boolean | "false" | "true";
            placeholder?: import("../_util/type").VueNode;
            dir?: string;
            wrapperClassName?: string;
            "aria-selected"?: boolean | "false" | "true";
            wrapperStyle?: import("vue").CSSProperties;
            prefix?: string;
            src?: string;
            srcset?: string;
            alt?: string;
            draggable?: boolean | "false" | "true";
            innerHTML?: string;
            accesskey?: string;
            contenteditable?: "inherit" | (boolean | "false" | "true");
            lang?: string;
            spellcheck?: boolean | "false" | "true";
            translate?: "yes" | "no";
            radiogroup?: string;
            about?: string;
            datatype?: string;
            property?: string;
            resource?: string;
            typeof?: string;
            vocab?: string;
            autocapitalize?: string;
            autocorrect?: string;
            autocave?: string;
            itemprop?: string;
            itemscope?: boolean | "false" | "true";
            itemtype?: string;
            itemid?: string;
            itemref?: string;
            results?: string | number;
            security?: string;
            unselectable?: "on" | "off";
            inputmode?: "url" | "email" | "text" | "none" | "search" | "tel" | "numeric" | "decimal";
            is?: string;
            "aria-activedescendant"?: string;
            "aria-atomic"?: boolean | "false" | "true";
            "aria-autocomplete"?: "none" | "both" | "inline" | "list";
            "aria-busy"?: boolean | "false" | "true";
            "aria-checked"?: "mixed" | (boolean | "false" | "true");
            "aria-colcount"?: string | number;
            "aria-colindex"?: string | number;
            "aria-colspan"?: string | number;
            "aria-controls"?: string;
            "aria-current"?: "date" | "time" | "page" | (boolean | "false" | "true") | "step" | "location";
            "aria-describedby"?: string;
            "aria-details"?: string;
            "aria-disabled"?: boolean | "false" | "true";
            "aria-dropeffect"?: "link" | "none" | "copy" | "move" | "popup" | "execute";
            "aria-errormessage"?: string;
            "aria-expanded"?: boolean | "false" | "true";
            "aria-flowto"?: string;
            "aria-grabbed"?: boolean | "false" | "true";
            "aria-haspopup"?: "dialog" | "menu" | "listbox" | "grid" | (boolean | "false" | "true") | "tree";
            "aria-invalid"?: (boolean | "false" | "true") | "grammar" | "spelling";
            "aria-keyshortcuts"?: string;
            "aria-label"?: string;
            "aria-labelledby"?: string;
            "aria-level"?: string | number;
            "aria-live"?: "off" | "polite" | "assertive";
            "aria-modal"?: boolean | "false" | "true";
            "aria-multiline"?: boolean | "false" | "true";
            "aria-multiselectable"?: boolean | "false" | "true";
            "aria-orientation"?: "horizontal" | "vertical";
            "aria-owns"?: string;
            "aria-placeholder"?: string;
            "aria-posinset"?: string | number;
            "aria-pressed"?: "mixed" | (boolean | "false" | "true");
            "aria-readonly"?: boolean | "false" | "true";
            "aria-relevant"?: "text" | "all" | "additions" | "additions text" | "removals";
            "aria-required"?: boolean | "false" | "true";
            "aria-roledescription"?: string;
            "aria-rowcount"?: string | number;
            "aria-rowindex"?: string | number;
            "aria-rowspan"?: string | number;
            "aria-setsize"?: string | number;
            "aria-sort"?: "none" | "ascending" | "descending" | "other";
            "aria-valuemax"?: string | number;
            "aria-valuemin"?: string | number;
            "aria-valuenow"?: string | number;
            "aria-valuetext"?: string;
            previewPrefixCls?: string;
            crossorigin?: "" | "anonymous" | "use-credentials";
            decoding?: "auto" | "sync" | "async";
            sizes?: string;
            usemap?: string;
            fallback?: string;
        }> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "class" | "inlist">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: ((event: string, ...args: any[]) => void) | ((event: string, ...args: any[]) => void);
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            class: any;
            inlist: any;
        } & {
            style?: string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | any)[])[])[])[])[])[])[])[])[])[])[];
            preview?: boolean | {
                visible: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
                onVisibleChange: any;
                getContainer: (import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                }) | (import("vue-types").VueTypeValidableDef<boolean> & {
                    default: boolean;
                }) | (() => import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                    default: (...args: any[]) => any;
                }) | (() => import("vue-types").VueTypeValidableDef<boolean> & {
                    default: boolean;
                });
            };
            prefixCls?: string;
            title?: string;
            onCopy?: (payload: ClipboardEvent) => void;
            onCut?: (payload: ClipboardEvent) => void;
            onPaste?: (payload: ClipboardEvent) => void;
            onCompositionend?: (payload: CompositionEvent) => void;
            onCompositionstart?: (payload: CompositionEvent) => void;
            onCompositionupdate?: (payload: CompositionEvent) => void;
            onDrag?: (payload: DragEvent) => void;
            onDragend?: (payload: DragEvent) => void;
            onDragenter?: (payload: DragEvent) => void;
            onDragexit?: (payload: DragEvent) => void;
            onDragleave?: (payload: DragEvent) => void;
            onDragover?: (payload: DragEvent) => void;
            onDragstart?: (payload: DragEvent) => void;
            onDrop?: (payload: DragEvent) => void;
            onFocus?: (payload: FocusEvent) => void;
            onFocusin?: (payload: FocusEvent) => void;
            onFocusout?: (payload: FocusEvent) => void;
            onBlur?: (payload: FocusEvent) => void;
            onChange?: (payload: Event) => void;
            onBeforeinput?: (payload: Event) => void;
            onInput?: (payload: Event) => void;
            onReset?: (payload: Event) => void;
            onSubmit?: (payload: Event) => void;
            onInvalid?: (payload: Event) => void;
            onLoad?: (payload: Event) => void;
            onError?: (payload: Event) => void;
            onKeydown?: (payload: KeyboardEvent) => void;
            onKeypress?: (payload: KeyboardEvent) => void;
            onKeyup?: (payload: KeyboardEvent) => void;
            onAuxclick?: (payload: MouseEvent) => void;
            onContextmenu?: (payload: MouseEvent) => void;
            onDblclick?: (payload: MouseEvent) => void;
            onMousedown?: (payload: MouseEvent) => void;
            onMouseenter?: (payload: MouseEvent) => void;
            onMouseleave?: (payload: MouseEvent) => void;
            onMousemove?: (payload: MouseEvent) => void;
            onMouseout?: (payload: MouseEvent) => void;
            onMouseover?: (payload: MouseEvent) => void;
            onMouseup?: (payload: MouseEvent) => void;
            onAbort?: (payload: Event) => void;
            onCanplay?: (payload: Event) => void;
            onCanplaythrough?: (payload: Event) => void;
            onDurationchange?: (payload: Event) => void;
            onEmptied?: (payload: Event) => void;
            onEncrypted?: (payload: Event) => void;
            onEnded?: (payload: Event) => void;
            onLoadeddata?: (payload: Event) => void;
            onLoadedmetadata?: (payload: Event) => void;
            onLoadstart?: (payload: Event) => void;
            onPause?: (payload: Event) => void;
            onPlay?: (payload: Event) => void;
            onPlaying?: (payload: Event) => void;
            onProgress?: (payload: Event) => void;
            onRatechange?: (payload: Event) => void;
            onSeeked?: (payload: Event) => void;
            onSeeking?: (payload: Event) => void;
            onStalled?: (payload: Event) => void;
            onSuspend?: (payload: Event) => void;
            onTimeupdate?: (payload: Event) => void;
            onVolumechange?: (payload: Event) => void;
            onWaiting?: (payload: Event) => void;
            onSelect?: (payload: Event) => void;
            onScroll?: (payload: UIEvent) => void;
            onTouchcancel?: (payload: TouchEvent) => void;
            onTouchend?: (payload: TouchEvent) => void;
            onTouchmove?: (payload: TouchEvent) => void;
            onTouchstart?: (payload: TouchEvent) => void;
            onPointerdown?: (payload: PointerEvent) => void;
            onPointermove?: (payload: PointerEvent) => void;
            onPointerup?: (payload: PointerEvent) => void;
            onPointercancel?: (payload: PointerEvent) => void;
            onPointerenter?: (payload: PointerEvent) => void;
            onPointerleave?: (payload: PointerEvent) => void;
            onPointerover?: (payload: PointerEvent) => void;
            onPointerout?: (payload: PointerEvent) => void;
            onWheel?: (payload: WheelEvent) => void;
            onAnimationstart?: (payload: AnimationEvent) => void;
            onAnimationend?: (payload: AnimationEvent) => void;
            onAnimationiteration?: (payload: AnimationEvent) => void;
            onTransitionend?: (payload: TransitionEvent) => void;
            onTransitionstart?: (payload: TransitionEvent) => void;
            role?: string;
            tabindex?: string | number;
            hidden?: boolean | "false" | "true";
            color?: string;
            width?: string | number;
            height?: string | number;
            contextmenu?: string;
            id?: string;
            "aria-hidden"?: boolean | "false" | "true";
            placeholder?: import("../_util/type").VueNode;
            dir?: string;
            wrapperClassName?: string;
            "aria-selected"?: boolean | "false" | "true";
            wrapperStyle?: import("vue").CSSProperties;
            prefix?: string;
            src?: string;
            srcset?: string;
            alt?: string;
            draggable?: boolean | "false" | "true";
            innerHTML?: string;
            accesskey?: string;
            contenteditable?: "inherit" | (boolean | "false" | "true");
            lang?: string;
            spellcheck?: boolean | "false" | "true";
            translate?: "yes" | "no";
            radiogroup?: string;
            about?: string;
            datatype?: string;
            property?: string;
            resource?: string;
            typeof?: string;
            vocab?: string;
            autocapitalize?: string;
            autocorrect?: string;
            autocave?: string;
            itemprop?: string;
            itemscope?: boolean | "false" | "true";
            itemtype?: string;
            itemid?: string;
            itemref?: string;
            results?: string | number;
            security?: string;
            unselectable?: "on" | "off";
            inputmode?: "url" | "email" | "text" | "none" | "search" | "tel" | "numeric" | "decimal";
            is?: string;
            "aria-activedescendant"?: string;
            "aria-atomic"?: boolean | "false" | "true";
            "aria-autocomplete"?: "none" | "both" | "inline" | "list";
            "aria-busy"?: boolean | "false" | "true";
            "aria-checked"?: "mixed" | (boolean | "false" | "true");
            "aria-colcount"?: string | number;
            "aria-colindex"?: string | number;
            "aria-colspan"?: string | number;
            "aria-controls"?: string;
            "aria-current"?: "date" | "time" | "page" | (boolean | "false" | "true") | "step" | "location";
            "aria-describedby"?: string;
            "aria-details"?: string;
            "aria-disabled"?: boolean | "false" | "true";
            "aria-dropeffect"?: "link" | "none" | "copy" | "move" | "popup" | "execute";
            "aria-errormessage"?: string;
            "aria-expanded"?: boolean | "false" | "true";
            "aria-flowto"?: string;
            "aria-grabbed"?: boolean | "false" | "true";
            "aria-haspopup"?: "dialog" | "menu" | "listbox" | "grid" | (boolean | "false" | "true") | "tree";
            "aria-invalid"?: (boolean | "false" | "true") | "grammar" | "spelling";
            "aria-keyshortcuts"?: string;
            "aria-label"?: string;
            "aria-labelledby"?: string;
            "aria-level"?: string | number;
            "aria-live"?: "off" | "polite" | "assertive";
            "aria-modal"?: boolean | "false" | "true";
            "aria-multiline"?: boolean | "false" | "true";
            "aria-multiselectable"?: boolean | "false" | "true";
            "aria-orientation"?: "horizontal" | "vertical";
            "aria-owns"?: string;
            "aria-placeholder"?: string;
            "aria-posinset"?: string | number;
            "aria-pressed"?: "mixed" | (boolean | "false" | "true");
            "aria-readonly"?: boolean | "false" | "true";
            "aria-relevant"?: "text" | "all" | "additions" | "additions text" | "removals";
            "aria-required"?: boolean | "false" | "true";
            "aria-roledescription"?: string;
            "aria-rowcount"?: string | number;
            "aria-rowindex"?: string | number;
            "aria-rowspan"?: string | number;
            "aria-setsize"?: string | number;
            "aria-sort"?: "none" | "ascending" | "descending" | "other";
            "aria-valuemax"?: string | number;
            "aria-valuemin"?: string | number;
            "aria-valuenow"?: string | number;
            "aria-valuetext"?: string;
            previewPrefixCls?: string;
            crossorigin?: "" | "anonymous" | "use-credentials";
            decoding?: "auto" | "sync" | "async";
            sizes?: string;
            usemap?: string;
            fallback?: string;
        }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, {
            class: any;
            inlist: any;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: import("vue").ReactiveEffect<any>;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        class: any;
        inlist: any;
    } & {
        style?: string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | any)[])[])[])[])[])[])[])[])[])[])[];
        preview?: boolean | {
            visible: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
            onVisibleChange: any;
            getContainer: (import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            }) | (import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            }) | (() => import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            }) | (() => import("vue-types").VueTypeValidableDef<boolean> & {
                default: boolean;
            });
        };
        prefixCls?: string;
        title?: string;
        onCopy?: (payload: ClipboardEvent) => void;
        onCut?: (payload: ClipboardEvent) => void;
        onPaste?: (payload: ClipboardEvent) => void;
        onCompositionend?: (payload: CompositionEvent) => void;
        onCompositionstart?: (payload: CompositionEvent) => void;
        onCompositionupdate?: (payload: CompositionEvent) => void;
        onDrag?: (payload: DragEvent) => void;
        onDragend?: (payload: DragEvent) => void;
        onDragenter?: (payload: DragEvent) => void;
        onDragexit?: (payload: DragEvent) => void;
        onDragleave?: (payload: DragEvent) => void;
        onDragover?: (payload: DragEvent) => void;
        onDragstart?: (payload: DragEvent) => void;
        onDrop?: (payload: DragEvent) => void;
        onFocus?: (payload: FocusEvent) => void;
        onFocusin?: (payload: FocusEvent) => void;
        onFocusout?: (payload: FocusEvent) => void;
        onBlur?: (payload: FocusEvent) => void;
        onChange?: (payload: Event) => void;
        onBeforeinput?: (payload: Event) => void;
        onInput?: (payload: Event) => void;
        onReset?: (payload: Event) => void;
        onSubmit?: (payload: Event) => void;
        onInvalid?: (payload: Event) => void;
        onLoad?: (payload: Event) => void;
        onError?: (payload: Event) => void;
        onKeydown?: (payload: KeyboardEvent) => void;
        onKeypress?: (payload: KeyboardEvent) => void;
        onKeyup?: (payload: KeyboardEvent) => void;
        onAuxclick?: (payload: MouseEvent) => void;
        onContextmenu?: (payload: MouseEvent) => void;
        onDblclick?: (payload: MouseEvent) => void;
        onMousedown?: (payload: MouseEvent) => void;
        onMouseenter?: (payload: MouseEvent) => void;
        onMouseleave?: (payload: MouseEvent) => void;
        onMousemove?: (payload: MouseEvent) => void;
        onMouseout?: (payload: MouseEvent) => void;
        onMouseover?: (payload: MouseEvent) => void;
        onMouseup?: (payload: MouseEvent) => void;
        onAbort?: (payload: Event) => void;
        onCanplay?: (payload: Event) => void;
        onCanplaythrough?: (payload: Event) => void;
        onDurationchange?: (payload: Event) => void;
        onEmptied?: (payload: Event) => void;
        onEncrypted?: (payload: Event) => void;
        onEnded?: (payload: Event) => void;
        onLoadeddata?: (payload: Event) => void;
        onLoadedmetadata?: (payload: Event) => void;
        onLoadstart?: (payload: Event) => void;
        onPause?: (payload: Event) => void;
        onPlay?: (payload: Event) => void;
        onPlaying?: (payload: Event) => void;
        onProgress?: (payload: Event) => void;
        onRatechange?: (payload: Event) => void;
        onSeeked?: (payload: Event) => void;
        onSeeking?: (payload: Event) => void;
        onStalled?: (payload: Event) => void;
        onSuspend?: (payload: Event) => void;
        onTimeupdate?: (payload: Event) => void;
        onVolumechange?: (payload: Event) => void;
        onWaiting?: (payload: Event) => void;
        onSelect?: (payload: Event) => void;
        onScroll?: (payload: UIEvent) => void;
        onTouchcancel?: (payload: TouchEvent) => void;
        onTouchend?: (payload: TouchEvent) => void;
        onTouchmove?: (payload: TouchEvent) => void;
        onTouchstart?: (payload: TouchEvent) => void;
        onPointerdown?: (payload: PointerEvent) => void;
        onPointermove?: (payload: PointerEvent) => void;
        onPointerup?: (payload: PointerEvent) => void;
        onPointercancel?: (payload: PointerEvent) => void;
        onPointerenter?: (payload: PointerEvent) => void;
        onPointerleave?: (payload: PointerEvent) => void;
        onPointerover?: (payload: PointerEvent) => void;
        onPointerout?: (payload: PointerEvent) => void;
        onWheel?: (payload: WheelEvent) => void;
        onAnimationstart?: (payload: AnimationEvent) => void;
        onAnimationend?: (payload: AnimationEvent) => void;
        onAnimationiteration?: (payload: AnimationEvent) => void;
        onTransitionend?: (payload: TransitionEvent) => void;
        onTransitionstart?: (payload: TransitionEvent) => void;
        role?: string;
        tabindex?: string | number;
        hidden?: boolean | "false" | "true";
        color?: string;
        width?: string | number;
        height?: string | number;
        contextmenu?: string;
        id?: string;
        "aria-hidden"?: boolean | "false" | "true";
        placeholder?: import("../_util/type").VueNode;
        dir?: string;
        wrapperClassName?: string;
        "aria-selected"?: boolean | "false" | "true";
        wrapperStyle?: import("vue").CSSProperties;
        prefix?: string;
        src?: string;
        srcset?: string;
        alt?: string;
        draggable?: boolean | "false" | "true";
        innerHTML?: string;
        accesskey?: string;
        contenteditable?: "inherit" | (boolean | "false" | "true");
        lang?: string;
        spellcheck?: boolean | "false" | "true";
        translate?: "yes" | "no";
        radiogroup?: string;
        about?: string;
        datatype?: string;
        property?: string;
        resource?: string;
        typeof?: string;
        vocab?: string;
        autocapitalize?: string;
        autocorrect?: string;
        autocave?: string;
        itemprop?: string;
        itemscope?: boolean | "false" | "true";
        itemtype?: string;
        itemid?: string;
        itemref?: string;
        results?: string | number;
        security?: string;
        unselectable?: "on" | "off";
        inputmode?: "url" | "email" | "text" | "none" | "search" | "tel" | "numeric" | "decimal";
        is?: string;
        "aria-activedescendant"?: string;
        "aria-atomic"?: boolean | "false" | "true";
        "aria-autocomplete"?: "none" | "both" | "inline" | "list";
        "aria-busy"?: boolean | "false" | "true";
        "aria-checked"?: "mixed" | (boolean | "false" | "true");
        "aria-colcount"?: string | number;
        "aria-colindex"?: string | number;
        "aria-colspan"?: string | number;
        "aria-controls"?: string;
        "aria-current"?: "date" | "time" | "page" | (boolean | "false" | "true") | "step" | "location";
        "aria-describedby"?: string;
        "aria-details"?: string;
        "aria-disabled"?: boolean | "false" | "true";
        "aria-dropeffect"?: "link" | "none" | "copy" | "move" | "popup" | "execute";
        "aria-errormessage"?: string;
        "aria-expanded"?: boolean | "false" | "true";
        "aria-flowto"?: string;
        "aria-grabbed"?: boolean | "false" | "true";
        "aria-haspopup"?: "dialog" | "menu" | "listbox" | "grid" | (boolean | "false" | "true") | "tree";
        "aria-invalid"?: (boolean | "false" | "true") | "grammar" | "spelling";
        "aria-keyshortcuts"?: string;
        "aria-label"?: string;
        "aria-labelledby"?: string;
        "aria-level"?: string | number;
        "aria-live"?: "off" | "polite" | "assertive";
        "aria-modal"?: boolean | "false" | "true";
        "aria-multiline"?: boolean | "false" | "true";
        "aria-multiselectable"?: boolean | "false" | "true";
        "aria-orientation"?: "horizontal" | "vertical";
        "aria-owns"?: string;
        "aria-placeholder"?: string;
        "aria-posinset"?: string | number;
        "aria-pressed"?: "mixed" | (boolean | "false" | "true");
        "aria-readonly"?: boolean | "false" | "true";
        "aria-relevant"?: "text" | "all" | "additions" | "additions text" | "removals";
        "aria-required"?: boolean | "false" | "true";
        "aria-roledescription"?: string;
        "aria-rowcount"?: string | number;
        "aria-rowindex"?: string | number;
        "aria-rowspan"?: string | number;
        "aria-setsize"?: string | number;
        "aria-sort"?: "none" | "ascending" | "descending" | "other";
        "aria-valuemax"?: string | number;
        "aria-valuemin"?: string | number;
        "aria-valuenow"?: string | number;
        "aria-valuetext"?: string;
        previewPrefixCls?: string;
        crossorigin?: "" | "anonymous" | "use-credentials";
        decoding?: "auto" | "sync" | "async";
        sizes?: string;
        usemap?: string;
        fallback?: string;
    }> & import("vue").ShallowUnwrapRef<{}> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    class: any;
    inlist: any;
} & {
    style?: string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | (string | import("vue").CSSProperties | any)[])[])[])[])[])[])[])[])[])[])[];
    preview?: boolean | {
        visible: (boolean | ((props: Record<string, unknown>) => boolean)) & boolean;
        onVisibleChange: any;
        getContainer: (import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        }) | (import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        }) | (() => import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        }) | (() => import("vue-types").VueTypeValidableDef<boolean> & {
            default: boolean;
        });
    };
    prefixCls?: string;
    title?: string;
    onCopy?: (payload: ClipboardEvent) => void;
    onCut?: (payload: ClipboardEvent) => void;
    onPaste?: (payload: ClipboardEvent) => void;
    onCompositionend?: (payload: CompositionEvent) => void;
    onCompositionstart?: (payload: CompositionEvent) => void;
    onCompositionupdate?: (payload: CompositionEvent) => void;
    onDrag?: (payload: DragEvent) => void;
    onDragend?: (payload: DragEvent) => void;
    onDragenter?: (payload: DragEvent) => void;
    onDragexit?: (payload: DragEvent) => void;
    onDragleave?: (payload: DragEvent) => void;
    onDragover?: (payload: DragEvent) => void;
    onDragstart?: (payload: DragEvent) => void;
    onDrop?: (payload: DragEvent) => void;
    onFocus?: (payload: FocusEvent) => void;
    onFocusin?: (payload: FocusEvent) => void;
    onFocusout?: (payload: FocusEvent) => void;
    onBlur?: (payload: FocusEvent) => void;
    onChange?: (payload: Event) => void;
    onBeforeinput?: (payload: Event) => void;
    onInput?: (payload: Event) => void;
    onReset?: (payload: Event) => void;
    onSubmit?: (payload: Event) => void;
    onInvalid?: (payload: Event) => void;
    onLoad?: (payload: Event) => void;
    onError?: (payload: Event) => void;
    onKeydown?: (payload: KeyboardEvent) => void;
    onKeypress?: (payload: KeyboardEvent) => void;
    onKeyup?: (payload: KeyboardEvent) => void;
    onAuxclick?: (payload: MouseEvent) => void;
    onContextmenu?: (payload: MouseEvent) => void;
    onDblclick?: (payload: MouseEvent) => void;
    onMousedown?: (payload: MouseEvent) => void;
    onMouseenter?: (payload: MouseEvent) => void;
    onMouseleave?: (payload: MouseEvent) => void;
    onMousemove?: (payload: MouseEvent) => void;
    onMouseout?: (payload: MouseEvent) => void;
    onMouseover?: (payload: MouseEvent) => void;
    onMouseup?: (payload: MouseEvent) => void;
    onAbort?: (payload: Event) => void;
    onCanplay?: (payload: Event) => void;
    onCanplaythrough?: (payload: Event) => void;
    onDurationchange?: (payload: Event) => void;
    onEmptied?: (payload: Event) => void;
    onEncrypted?: (payload: Event) => void;
    onEnded?: (payload: Event) => void;
    onLoadeddata?: (payload: Event) => void;
    onLoadedmetadata?: (payload: Event) => void;
    onLoadstart?: (payload: Event) => void;
    onPause?: (payload: Event) => void;
    onPlay?: (payload: Event) => void;
    onPlaying?: (payload: Event) => void;
    onProgress?: (payload: Event) => void;
    onRatechange?: (payload: Event) => void;
    onSeeked?: (payload: Event) => void;
    onSeeking?: (payload: Event) => void;
    onStalled?: (payload: Event) => void;
    onSuspend?: (payload: Event) => void;
    onTimeupdate?: (payload: Event) => void;
    onVolumechange?: (payload: Event) => void;
    onWaiting?: (payload: Event) => void;
    onSelect?: (payload: Event) => void;
    onScroll?: (payload: UIEvent) => void;
    onTouchcancel?: (payload: TouchEvent) => void;
    onTouchend?: (payload: TouchEvent) => void;
    onTouchmove?: (payload: TouchEvent) => void;
    onTouchstart?: (payload: TouchEvent) => void;
    onPointerdown?: (payload: PointerEvent) => void;
    onPointermove?: (payload: PointerEvent) => void;
    onPointerup?: (payload: PointerEvent) => void;
    onPointercancel?: (payload: PointerEvent) => void;
    onPointerenter?: (payload: PointerEvent) => void;
    onPointerleave?: (payload: PointerEvent) => void;
    onPointerover?: (payload: PointerEvent) => void;
    onPointerout?: (payload: PointerEvent) => void;
    onWheel?: (payload: WheelEvent) => void;
    onAnimationstart?: (payload: AnimationEvent) => void;
    onAnimationend?: (payload: AnimationEvent) => void;
    onAnimationiteration?: (payload: AnimationEvent) => void;
    onTransitionend?: (payload: TransitionEvent) => void;
    onTransitionstart?: (payload: TransitionEvent) => void;
    role?: string;
    tabindex?: string | number;
    hidden?: boolean | "false" | "true";
    color?: string;
    width?: string | number;
    height?: string | number;
    contextmenu?: string;
    id?: string;
    "aria-hidden"?: boolean | "false" | "true";
    placeholder?: import("../_util/type").VueNode;
    dir?: string;
    wrapperClassName?: string;
    "aria-selected"?: boolean | "false" | "true";
    wrapperStyle?: import("vue").CSSProperties;
    prefix?: string;
    src?: string;
    srcset?: string;
    alt?: string;
    draggable?: boolean | "false" | "true";
    innerHTML?: string;
    accesskey?: string;
    contenteditable?: "inherit" | (boolean | "false" | "true");
    lang?: string;
    spellcheck?: boolean | "false" | "true";
    translate?: "yes" | "no";
    radiogroup?: string;
    about?: string;
    datatype?: string;
    property?: string;
    resource?: string;
    typeof?: string;
    vocab?: string;
    autocapitalize?: string;
    autocorrect?: string;
    autocave?: string;
    itemprop?: string;
    itemscope?: boolean | "false" | "true";
    itemtype?: string;
    itemid?: string;
    itemref?: string;
    results?: string | number;
    security?: string;
    unselectable?: "on" | "off";
    inputmode?: "url" | "email" | "text" | "none" | "search" | "tel" | "numeric" | "decimal";
    is?: string;
    "aria-activedescendant"?: string;
    "aria-atomic"?: boolean | "false" | "true";
    "aria-autocomplete"?: "none" | "both" | "inline" | "list";
    "aria-busy"?: boolean | "false" | "true";
    "aria-checked"?: "mixed" | (boolean | "false" | "true");
    "aria-colcount"?: string | number;
    "aria-colindex"?: string | number;
    "aria-colspan"?: string | number;
    "aria-controls"?: string;
    "aria-current"?: "date" | "time" | "page" | (boolean | "false" | "true") | "step" | "location";
    "aria-describedby"?: string;
    "aria-details"?: string;
    "aria-disabled"?: boolean | "false" | "true";
    "aria-dropeffect"?: "link" | "none" | "copy" | "move" | "popup" | "execute";
    "aria-errormessage"?: string;
    "aria-expanded"?: boolean | "false" | "true";
    "aria-flowto"?: string;
    "aria-grabbed"?: boolean | "false" | "true";
    "aria-haspopup"?: "dialog" | "menu" | "listbox" | "grid" | (boolean | "false" | "true") | "tree";
    "aria-invalid"?: (boolean | "false" | "true") | "grammar" | "spelling";
    "aria-keyshortcuts"?: string;
    "aria-label"?: string;
    "aria-labelledby"?: string;
    "aria-level"?: string | number;
    "aria-live"?: "off" | "polite" | "assertive";
    "aria-modal"?: boolean | "false" | "true";
    "aria-multiline"?: boolean | "false" | "true";
    "aria-multiselectable"?: boolean | "false" | "true";
    "aria-orientation"?: "horizontal" | "vertical";
    "aria-owns"?: string;
    "aria-placeholder"?: string;
    "aria-posinset"?: string | number;
    "aria-pressed"?: "mixed" | (boolean | "false" | "true");
    "aria-readonly"?: boolean | "false" | "true";
    "aria-relevant"?: "text" | "all" | "additions" | "additions text" | "removals";
    "aria-required"?: boolean | "false" | "true";
    "aria-roledescription"?: string;
    "aria-rowcount"?: string | number;
    "aria-rowindex"?: string | number;
    "aria-rowspan"?: string | number;
    "aria-setsize"?: string | number;
    "aria-sort"?: "none" | "ascending" | "descending" | "other";
    "aria-valuemax"?: string | number;
    "aria-valuemin"?: string | number;
    "aria-valuenow"?: string | number;
    "aria-valuetext"?: string;
    previewPrefixCls?: string;
    crossorigin?: "" | "anonymous" | "use-credentials";
    decoding?: "auto" | "sync" | "async";
    sizes?: string;
    usemap?: string;
    fallback?: string;
}>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, {
    class: any;
    inlist: any;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin & {
    readonly PreviewGroup: typeof PreviewGroup;
};
export default _default;
